<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
document.location.href = "login.php";
  </script>
  <?php
  exit();
}
$page_title = 'Сообщение';
require_once('conf/head.php');
require_once('conf/top.php');
//Панель заготовок:)

$usid=abs(intval($_SESSION['id']));
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();

if($usst['vip']<=0) {header('location: /mail.php');}
?>
<div style="background-color: #000000;">
<div id="main">
<?php
$user_id = abs(intval($_SESSION['id']));
$set_id = abs(intval($_GET['set_id']));
//////////////Сам себе не отправляет
if ($user_id == $set_id) {
?>
<script type="text/javascript">
  document.location.href = "mail.php";
</script>
<?php
exit();
}
///////////////

$set_id =  mysqli_real_escape_string($dbc, trim($set_id));
$query = "Select nick,admin,gruppa from users where id='$set_id' limit 1";
$result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД2');
$row = mysqli_fetch_array($result);
$total = mysqli_num_rows($result);
if (!empty($total)) {
///////////////////////////////Пользователь такой есть.
if ($row['gruppa'] == 'mytants' or $row['gruppa'] == 'bandits' or $row['gruppa'] == 'monolits' or $row['gruppa'] == 'zombie') {
    ?>
    <script type="text/javascript">
    document.location.href = "mail.php";
    </script>
    <?php
    exit();
}
///////////// Проверка на группу на админа не рапостроняется)
$query_isset = "Select id, gruppa, admin from users where id='$user_id' limit 1";
$result_isset = mysqli_query($dbc, $query_isset) or die ('Ошибка передачи запроса к БД');
$row_isset = mysqli_fetch_array($result_isset);
if ($row['admin'] <> -1 and $row_isset['admin'] <> -1) 
if ($row['admin'] <> 0 and $row_isset['admin'] <> 0) 
if ($row['admin'] <> 1 and $row_isset['admin'] <> 1) 
if ($row['admin'] <> 2 and $row_isset['admin'] <> 2) 
if ($row['admin'] <> 3 and $row_isset['admin'] <> 3) 
if ($row['admin'] <> 4 and $row_isset['admin'] <> 4)
if ($row['admin'] <> 5 and $row_isset['admin'] <> 5){
  if ($row['gruppa'] <> $row_isset['gruppa']) {
    ?>
    <script type="text/javascript">
    document.location.href = "mail.php";
    </script>
    <?php
    exit();
  }
}
/////////////

  ?>
  <div class="stats">
<p class="profile"><span class="bonus">Сообщение для <span class="net"><?php echo $row['nick'];?></p></span>
  </div>
  <?php
  $err = $_GET['err'];
  if (!empty($err)) {
    ?>
	<div id="error">
	<?php
	if ($err == 1) {echo "Введите сообщение";}
	if ($err == 2) {echo "Вы ввели меньше 3 символов или больше 1024 символов";}
	if ($err == 3) {echo "Недостаточно хабара";}
	if ($err == 4) {echo "Выберите вещь";}
	if ($err == 5) {echo "Вещь должна быть новой и находиться в рюкзаке";}
	if ($err == 6) {echo "Недостаточно денег";}
	if ($err == 7) {echo "Значение вводятся числами";}
	if ($err == 8) {echo "Сумма должны быть не меньше 20";}
	if ($err == 9) {echo "У вас нет столько денег";}
	if ($err == 10) {echo "Введите кол-во";}
	if ($err == 11) {echo "У вас нет столько аптечек";}
	if ($err == 12) {echo "Вы ввели меньше 5 символов";}
	if ($err == 15) {echo "Можно отправить минимум 1 хабара";}
	if ($err == 16) {echo "Можно отправить минимум 1 аптечку";}
	if ($err == 17) {echo "<font color=red><b>Не-не-не.. Только не рекламь тут!</b></font>";}
	?>
	</div>
	<?php
  }
$type = abs(intval($_GET['type']));
  if (empty($type)) {
    $type = 1;
  }
  ?>
  <p class="link" style="font-size:13px;"> Что отправляем</p>
<p><img src="img/ico/ecolog.png" width="12" height="12"/> <?php if ($type == 2) {?><span class="white">Cнаряжение</span><?php } else {?><a href="send.php?type=2&set_id=<?php echo "$set_id";?>">Снаряжение</a><?php }?></p>
<p><img src="img/ico/money.png" width="12" height="12"/> <?php if ($type == 3) {?><span class="white">Деньги</span><?php } else {?><a href="send_vip.php?type=3&set_id=<?php echo "$set_id";?>">Деньги</a><?php }?></p>
<p><img src="img/ico/materials.png" width="12" height="12"/> <?php if ($type == 4) {?><span class="white">Хабар</span><?php } else {?><a href="send.php?type=4&set_id=<?php echo "$set_id";?>">Хабар</a><?php }?></p>
<p><img src="img/ico/apte4ka.png" width="12" height="12"/> <?php if ($type == 5) {?><span class="white">Аптечки</span><?php } else {?><a href="send.php?type=5&set_id=<?php echo "$set_id";?>">Аптечки</a><?php }?></p>
  <p class="zx"></p>
  <?php
//////////////////////////////////////Cнаряжение начало
if ($type == 2) {
$baned=$dbc->query("SELECT * FROM`us_ban` WHERE`usid`='$_SESSION[id]' and `type`='mail' and `time`>'".time()."'")->fetch_assoc();if($baned['time']<time()){

  ?>
  <div class="stats"><p class="white">Выбранная вещь:</p>
  <?php
$thing = abs(intval($_GET['thing']));
  if (!empty($thing)) {
    $query_cl = "Select inf_id,user_id,type from things where thing_id = '$thing' and place='0' and privat = 0 limit 1";
	$result_cl = mysqli_query($dbc, $query_cl) or die ('Ошибка передачи запроса к БД');
	$row_cl = mysqli_fetch_array($result_cl);
	$row_isset_cl = mysqli_num_rows($result_cl);
	if (!empty($row_isset_cl)) {
	  if ($row_cl['user_id'] <> $user_id) {
	   ?>
       <script type="text/javascript">
       document.location.href = "send_vip.php?type=2&set_id=<?php echo"$set_id";?>";
       </script>
       <?php
       exit(); 
	  }
	  else {
	    $inf_id = $row_cl['inf_id'];
	    $tip = $row_cl['type'];
	    if ($tip == 1) {
	      $query_inf = "Select name from clothes where clothes_id = '$inf_id' limit 1";
	      $result_inf = mysqli_query($dbc, $query_inf) or die ('Ошибка передачи запроса к БД');
	      $row_inf = mysqli_fetch_array($result_inf);
	    }//Назваине брони
		if ($tip == 2) {
	      $query_inf = "Select name from pistols where pistols_id = '$inf_id' limit 1";
	      $result_inf = mysqli_query($dbc, $query_inf) or die ('Ошибка передачи запроса к БД');
	      $row_inf = mysqli_fetch_array($result_inf);
	    }//Название Пистолета
		if ($tip == 3) {
	      $query_inf = "Select name from weapons where weapons_id = '$inf_id' limit 1";
	      $result_inf = mysqli_query($dbc, $query_inf) or die ('Ошибка передачи запроса к БД');
	      $row_inf = mysqli_fetch_array($result_inf);
	    }//Название оружия
		?>
	<p>
		<?php
		if ($tip == '1') {?><img src="img/ico/costume.png" width="12" height="12" alt="s"/><?php }
	    if ($tip == '2') {?><img src="img/ico/pistol.png" width="12" height="12" alt="d"/><?php }
	    if ($tip == '3') {?><img src="img/ico/weapon.png" width="36" height="12" alt="n"/><?php }
		echo $row_inf['name'];?> [<a href="send_vip.php?type=2&set_id=<?php echo"$set_id";?>">отменить</a>]</p>
		<?php
	  }
	}
	else {
	?>
    <script type="text/javascript">
    document.location.href = "send_vip.php?type=2&set_id=<?php echo"$set_id";?>";
    </script>
    <?php
    exit(); 
	}
  }
  ?>
  </div>
  <?php 
  if (isset($thing)) {?>
  <div class="stats">
  <p>[<a href="sendmessage.php?type=2&set_id=<?php echo "$set_id";?>&thing=<?php echo "$thing";?>">ОТПРАВИТЬ</a>] Стоимость:<img src="img/ico/money.png" width="12" height="12"/><span class="white"> 1</span></p>
  </div>
  <?php
  }
  ?>
  <div class="stats"><p class="white">Выбрать вещь:</p>
  <?php
  if (!empty($thing)) {
    $query_cl = "Select inf_id, type,thing_id from things where user_id = '$user_id' and place='0' and thing_id <> '$thing' and privat = 0 limit 20";
    $result_cl = mysqli_query($dbc, $query_cl) or die ('Ошибка передачи запроса к БД');
  }
  else {
    $query_cl = "Select inf_id, type,thing_id from things where user_id = '$user_id' and place='0' and privat = 0 limit 20";
    $result_cl = mysqli_query($dbc, $query_cl) or die ('Ошибка передачи запроса к БД');
  }
  while ($row_cl=mysqli_fetch_array($result_cl)) {
    $inf_id = $row_cl['inf_id'];
	$tip = $row_cl['type'];
	if ($tip == 1) {
	      $query_inf = "Select name from clothes where clothes_id = '$inf_id' limit 1";
	      $result_inf = mysqli_query($dbc, $query_inf) or die ('Ошибка передачи запроса к БД');
	      $row_inf = mysqli_fetch_array($result_inf);
	    }//Назваине брони
	if ($tip == 2) {
	      $query_inf = "Select name from pistols where pistols_id = '$inf_id' limit 1";
	      $result_inf = mysqli_query($dbc, $query_inf) or die ('Ошибка передачи запроса к БД');
	      $row_inf = mysqli_fetch_array($result_inf);
	    }//Название Пистолета
	if ($tip == 3) {
	      $query_inf = "Select name from weapons where weapons_id = '$inf_id' limit 1";
	      $result_inf = mysqli_query($dbc, $query_inf) or die ('Ошибка передачи запроса к БД');
	      $row_inf = mysqli_fetch_array($result_inf);
	    }//Название оружия
	?>
	<p>
	<?php
if ($tip == '1') {?><img src="img/ico/ecolog.png" width="12" height="12" alt="c"/><?php }
	if ($tip == '2') {?><img src="img/ico/pistol.png" width="12" height="12" alt="p"/><?php }
	if ($tip == '3') {?><img src="img/ico/weapon.png" width="36" height="12" alt="w"/><?php }
    echo $row_inf['name'];?> [<a href="send_vip.php?type=2&set_id=<?php echo"$set_id";?>&thing=<?php echo $row_cl['thing_id']; ?>">выбрать</a>]</p>
	<?php
  }
  ?>
  <p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;"></p><p><a href="mail.php" class="menu"><img src="img/reload.gif" width="12" height="12" /> В почту</a></p>
  <?php
}else{echo'<p class="podmenu" style="border-top:1px dashed #444e4f;"></p><span class="red">Вaша почта заблокирована.<br/>Причина: '.htmlentities($baned['prich']).'.<br/>Модератор:</span> <a href="profile.php?id='.$baned['usban'].'">ID:'.$baned['usban'].'</a>.<br/><span class="red">Разбан: '.date('d.m.y. H:i:s',$baned['time']).'.</span><p class="podmenu" style="border-top:1px dashed #444e4f;"></p><p><img src="img/reload.gif" width="12" height="12" /><a href="mail.php">В почту</a></p>';}

}
//////////////////////////////////////Снаряжение конец

//////////////////////////////////////Деньги начало
  if ($type == 3) {
$baned=$dbc->query("SELECT * FROM`us_ban` WHERE`usid`='$_SESSION[id]' and `type`='mail' and `time`>'".time()."'")->fetch_assoc();if($baned['time']<time()){

    ?>
	<div class="stats">
	<p>Деньги:</p>
    <form enctype="multipart/form-data" method="post" action="sendmessage.php?type=3&set_id=<?php echo "$set_id"; ?>">
    <input type="text" class="input" name="money" style="width:38%; height:20px;" placeholder="Введите сообщение..." autofocus required/>
    <input type="submit" style="width:83px;" class="input" value="Отправить" name="send" accesskey="ы"/>
    </form>
	<p class="bonus">Стоимость отправки: 5% от переводимой суммы, но не менее <img src="img/ico/money.png" width="12" height="12"/> 20</p>
	<p class="podmenu" style="border-top:1px solid #444e4f; background-color:#1c252f;"></p><p><a href="mail.php" class="menu"><img src="img/reload.gif" width="12" height="12" /> В почту</a></p>

    <?php
}else{echo'<p class="podmenu" style="border-top:1px dashed #444e4f;"></p><span class="red">Вaша почта заблокирована.<br/>Причина: '.htmlentities($baned['prich']).'.<br/>Модератор:</span> <a href="profile.php?id='.$baned['usban'].'">ID:'.$baned['usban'].'</a>.<br/><span class="red">Разбан: '.date('d.m.y. H:i:s',$baned['time']).'.</span><p class="podmenu" style="border-top:1px dashed #444e4f;"></p><p><img src="img/reload.gif" width="12" height="12" /><a href="mail.php">В почту</a></p>';}

  }
///////////////////////////////////////Деньги конец


}
else {
require_once('conf/notfound.php');
}
	

require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>

</body>
</html>